Bug 226936 - sysutils/google-compute-engine-oslogin: update to version 1.1.5
Summary: sysutils/google-compute-engine-oslogin: update to version 1.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2018-03-26 08:36 UTC by Helen Koike
Modified: 2018-06-13 13:17 UTC (History)
4 users (show)

See Also:
helen.koike: maintainer-feedback+


Attachments
Patch to update package google-compute-engine-oslogin to version 1.1.5 generated using diff -urN olddir newdir (6.78 KB, patch)
2018-03-26 08:36 UTC, Helen Koike
helen.koike: maintainer-approval+
Details | Diff
Poudriere logs (30.00 KB, application/gzip)
2018-03-26 08:37 UTC, Helen Koike
helen.koike: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Helen Koike 2018-03-26 08:36:10 UTC
Created attachment 191825 [details]
Patch to update package google-compute-engine-oslogin to version 1.1.5 generated using diff -urN olddir newdir

Please see attached patch which updates sysutils/google-compute-engine-oslogin to version 1.1.5
Comment 1 Helen Koike 2018-03-26 08:37:10 UTC
Created attachment 191826 [details]
Poudriere logs
Comment 2 Yuri Victorovich freebsd_committer 2018-03-26 09:09:14 UTC
Where does the version 1.1.5 come from?
Comment 3 Helen Koike 2018-03-26 14:42:54 UTC
(In reply to Yuri Victorovich from comment #2)

It cames from the Makefile of the package, please, see discussion at https://reviews.freebsd.org/D13811#anchor-290627

Other references:
Makefile of the package: https://github.com/GoogleCloudPlatform/compute-image-packages/blob/master/google_compute_engine_oslogin/Makefile
Comment from upstream maintainer: https://github.com/GoogleCloudPlatform/compute-image-packages/issues/533#issuecomment-357001546
Comment 4 commit-hook freebsd_committer 2018-04-06 20:00:48 UTC
A commit references this bug:

Author: swills
Date: Fri Apr  6 20:00:09 UTC 2018
New revision: 466686
URL: https://svnweb.freebsd.org/changeset/ports/466686

Log:
  sysutils/google-compute-engine-oslogin: update to version 1.1.5

  PR:		226936
  Submitted by:	Helen Koike <helen.koike@collabora.com> (maintainer)

Changes:
  head/sysutils/google-compute-engine-oslogin/Makefile
  head/sysutils/google-compute-engine-oslogin/distinfo
  head/sysutils/google-compute-engine-oslogin/files/patch-Makefile
  head/sysutils/google-compute-engine-oslogin/files/patch-bin_google__oslogin__control
  head/sysutils/google-compute-engine-oslogin/files/patch-nss__module_nss__oslogin.cc
  head/sysutils/google-compute-engine-oslogin/files/patch-pam__module_pam__oslogin__admin.cc
  head/sysutils/google-compute-engine-oslogin/files/patch-pam__module_pam__oslogin__login.cc
  head/sysutils/google-compute-engine-oslogin/files/patch-utils_oslogin__utils.cc
Comment 5 Steve Wills freebsd_committer 2018-04-06 20:01:20 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2018-06-13 13:17:15 UTC
A commit references this bug:

Author: swills
Date: Wed Jun 13 13:16:54 UTC 2018
New revision: 472318
URL: https://svnweb.freebsd.org/changeset/ports/472318

Log:
  MFH: r466686 r471978 r472316

  sysutils/google-compute-engine-oslogin: update to version 1.1.5

  PR:		226936
  Submitted by:	Helen Koike <helen.koike@collabora.com> (maintainer)

  Mark as broken on various tier-2 archs.

  Approved by:	portmgr (tier-2 blanket)

  sysutils/google-compute-engine-oslogin: fix oslogin and update to 1.3.0

  PR:		228949
  Submitted by:	Helen Koike <helen.koike@collabora.com> (maintainer)

  Approved by:	ports-secteam (implicit)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/sysutils/google-compute-engine-oslogin/Makefile
  branches/2018Q2/sysutils/google-compute-engine-oslogin/distinfo
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-Makefile
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-bin_google__oslogin__control
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-libnss__cache__oslogin_nss__cache__oslogin.c
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-nss__cache_nss__cache.cc
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-nss__module_nss__oslogin.cc
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-pam__module_pam__oslogin__admin.cc
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-pam__module_pam__oslogin__login.cc
  branches/2018Q2/sysutils/google-compute-engine-oslogin/files/patch-utils_oslogin__utils.cc
  branches/2018Q2/sysutils/google-compute-engine-oslogin/pkg-plist